Package org.astrogrid.samp.client

# Class SampException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.io.IOException
org.astrogrid.samp.client.SampException

All Implemented Interfaces:
  `Serializable`

public class SampException extends IOException
Exception thrown when some error occurs in SAMP processing. Note that this is a subclass of `IOException`.

Since:
  15 Jul 2008
Author:
  Mark Taylor
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`SampException()`
Constructs an exception with no message.
`SampException(String msg)`
Consructs an exception with a given message.
`SampException(String msg, Throwable cause)`
Constructs an exception with a given message and cause.
`SampException(Throwable cause)`
Constructs an exception with a given cause.

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### SampException

public SampException()
Constructs an exception with no message.

### SampException

public SampException(String msg)
Consructs an exception with a given message.

Parameters:
  `msg` - message

### SampException

public SampException(Throwable cause)
Constructs an exception with a given cause.

Parameters:
  `cause` - cause of this exception

### SampException

public SampException(String msg, Throwable cause)
Constructs an exception with a given message and cause.

Parameters:
  `msg` - message
  `cause` - cause of this exception